Resolvendo certbot-auto deprecated na AWS/Elastic Beanstalk

Resolvendo certbot-auto deprecated na AWS/Elastic Beanstalk

Tags
Ruby on Rails
Web Dev
Software Development
Tech
Published
Published May 1, 2022
Author
José Carlos Maciel
ATENÇÃO: Esse é uma forma alternativa de manter seu sistema legado gerando os certificados em ambientes sem suporte do certbot-auto.
No meu caso especifico, tenho 3 aplicações Ruby on Rails rodando na AWS ELB com AMAZON Linux 1. Essa versão não da suporte ao novo certbot. 😅 (sim! o correto é atualizar para AMZ Linux 2, mas se você estiver no sufoco com aplicação sem certificado e não possui tempo para isso, do it)
Meu .ebextensions contém um .conf para gerar o certificado e implantar no NGINX, desse modo:
container_commands: 10_installcertbot: command: "wget https://raw.githubusercontent.com/certbot/certbot/v1.9.0/certbot-auto;chmod a+x certbot-auto" 20_getcert: command: "sudo ./certbot-auto certonly --debug --non-interactive --email ${EMAIL} --agree-tos --standalone --domains ${CERTDOMAIN} --keep-until-expiring --no-self-upgrade --pre-hook \"sudo service nginx stop\" --post-hook \"sudo service nginx start\""
Steps para manter seu certbot-auto funcionando pelo menos por enquanto:
1 – baixe via https://raw.githubusercontent.com/certbot/certbot/v1.9.0/certbot-auto
2 – adicione –no-self-upgrade na sua linha de geração
Isso vai evitar os erros abaixo:
Skipping bootstrap because certbot-auto is deprecated on this system. Your system is not supported by certbot-auto anymore. Certbot cannot be installed. Please visit https://certbot.eff.org/ to check for other alternatives.
Espero que te salve em algum momento, haha!
Abraços.